public inbox for ipfire-scm@lists.ipfire.org
 help / color / mirror / Atom feed
* [git.ipfire.org] IPFire 2.x development tree branch, next, updated. 492b0b7c18face3ad3ad50ad554bd527fd4ef745
@ 2018-11-08 16:03 Michael Tremer
  0 siblings, 0 replies; only message in thread
From: Michael Tremer @ 2018-11-08 16:03 UTC (permalink / raw)
  To: ipfire-scm

[-- Attachment #1: Type: text/plain, Size: 2470 bytes --]

This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "IPFire 2.x development tree".

The branch, next has been updated
       via  492b0b7c18face3ad3ad50ad554bd527fd4ef745 (commit)
       via  8a0bc0345002d8a635f7c9baa08c8e4ee85696ae (commit)
      from  47bb9dd1e8e0b1382789ef0dba97896046b03694 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
commit 492b0b7c18face3ad3ad50ad554bd527fd4ef745
Author: Michael Tremer <michael.tremer(a)ipfire.org>
Date:   Thu Nov 8 16:02:17 2018 +0000

    backupiso: Add support for aarch64
    
    Signed-off-by: Michael Tremer <michael.tremer(a)ipfire.org>

commit 8a0bc0345002d8a635f7c9baa08c8e4ee85696ae
Author: Michael Tremer <michael.tremer(a)ipfire.org>
Date:   Thu Nov 8 15:58:58 2018 +0000

    backupiso: Fix order of variables
    
    Some values in variables were corrected but used before.
    
    Reported-by: Matthias Fischer <matthias.fischer(a)ipfire.org>
    Signed-off-by: Michael Tremer <michael.tremer(a)ipfire.org>

-----------------------------------------------------------------------

Summary of changes:
 src/scripts/backupiso | 34 +++++++++++++++++-----------------
 1 file changed, 17 insertions(+), 17 deletions(-)

Difference in files:
diff --git a/src/scripts/backupiso b/src/scripts/backupiso
index 2b91b5f6a..d15833d5d 100644
--- a/src/scripts/backupiso
+++ b/src/scripts/backupiso
@@ -1,8 +1,23 @@
 #!/bin/sh
-arch=$(uname -m)
+
+# FIXME: edit this lines before release
 IPFVER=2.21
 COREVER=$(cat /opt/pakfire/db/core/mine)
-# FIXME: edit this lines before release
+
+arch=$(uname -m)
+
+case "${arch}" in
+	aarch64|x86_64)
+		;;
+	i?86)
+		arch="i586"
+		;;
+	*)
+		echo "Arch is not supported" >&2
+		exit 1
+		;;
+esac
+
 URL="https://downloads.ipfire.org/releases/ipfire-2.x/$IPFVER-core$COREVER/"
 ISO="ipfire-$IPFVER.$arch-full-core$COREVER.iso"
 
@@ -33,21 +48,6 @@ makeiso() {
 	return 0
 }
 
-case $arch in
-	i?86)
-		arch="i586"
-		echo "Your arch is $arch"
-		;;
-	x86_64)
-		arch="x86_64"
-		echo "Your arch is $arch"
-		;;
-	*)
-		echo "Arch is not supported"
-		exit 1
-		;;
-esac
-
 if [ -z $1 ]; then
 	echo usage: $0 backup-file
 	exit


hooks/post-receive
--
IPFire 2.x development tree

^ permalink raw reply	[flat|nested] only message in thread

only message in thread, other threads:[~2018-11-08 16:03 UTC | newest]

Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2018-11-08 16:03 [git.ipfire.org] IPFire 2.x development tree branch, next, updated. 492b0b7c18face3ad3ad50ad554bd527fd4ef745 Michael Tremer

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox